org.bdgenomics.adam.models

# TagType

###
Related Doc: package models

#### object TagType extends Enumeration

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TagType
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class TypeVal extends Val

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val ByteSequence: Val

5. #### val Character: Val

6. #### val Float: Val

7. #### val Integer: Val

8. #### val NumericByteSequence: Val

9. #### val NumericFloatSequence: Val

10. #### val NumericIntSequence: Val

11. #### val NumericShortSequence: Val

12. #### val NumericUnsignedByteSequence: Val

13. #### val NumericUnsignedIntSequence: Val

14. #### val NumericUnsignedShortSequence: Val

15. #### val String: Val

16. #### def TypeValue(abbreviation: String): Val

17. #### final def Value(i: Int, name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

18. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

19. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

20. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

21. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

22. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

23. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### final def maxId: Int

    Definition Classes
      Enumeration

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

33. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

39. #### def values: ValueSet

    Definition Classes
      Enumeration

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped